Get List Product Listing
curl --request POST \
--url https://api.birdeye.com/resources/v1/listing/public/product/getList \
--header 'Content-Type: application/json' \
--data '
{
"search": "Dental",
"status": [
"DRAFT",
"PUBLISH"
],
"businessNumbers": []
}
'import requests
url = "https://api.birdeye.com/resources/v1/listing/public/product/getList"
payload = {
"search": "Dental",
"status": ["DRAFT", "PUBLISH"],
"businessNumbers": []
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({search: 'Dental', status: ['DRAFT', 'PUBLISH'], businessNumbers: []})
};
fetch('https://api.birdeye.com/resources/v1/listing/public/product/getList', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": [
{
"productId": "689af8f4f198dfbdfc88f05c",
"productSku": "7654749435",
"locationCount": 2,
"title": "Family Dental Plan",
"description": "Use this product to purchase the family dental plan for 3 visits/year for a family of 4",
"productUrl": "https://dentist-bragadiru.ro/preturi/",
"imageLink": "https://shopping.googleusercontent.com/image?q=AJqGhtVeXk2QAlVze5sxdIkrJqvnVzU_ApEvuPtiqXtE5slPUnd8ev_mctvrSvvwkcw6EYPn-6JoCfGyi1yp",
"additionalImageLinks": [
"https://shopping.googleusercontent.com/image?q=AJqGhtWrkvUc_hlewjdruW0_pE94O2KroiTvT9Iyvoq8rEo31Tdn0v4FYhxTsUbt2I-lu2Y2-8JVBA8P2flC"
],
"videoUrl": "",
"brandName": "SDR Clinic",
"googleProductCategoryId": "5823",
"price": {
"amount": "3500000000",
"currencyCode": "INR"
},
"productTypes": [
"FamilyDentalHelath"
],
"salePrice": {
"amount": "2500000000",
"currencyCode": "INR"
},
"status": "PUBLISH",
"updatedOn": 1754993514625,
"updatedBy": "XYZ"
}
],
"totalCount": 100
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}GMB Products
Get List Product Listing
Returns paginated product listings for the account/locations based on search and filters.
POST
/
v1
/
listing
/
public
/
product
/
getList
Get List Product Listing
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
e.g. [Required] User assosiated businessNumber
Media type of the JSON request body.
Query Parameters
Number of records per page. Default 50.
0-based page index. Default 0.
Body
application/json
⌘I